Skip to main content
GET
/
pages
List pages
curl --request GET \
  --url https://api.awardee.dev/v1/pages \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "total": 0,
  "page": 0,
  "page_size": 0,
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "public_slug": "<string>",
      "title": "<string>",
      "description": "<string>",
      "background": {
        "type": "<string>",
        "value": "<string>"
      },
      "island": {
        "color": "#ffffff",
        "opacity": 1,
        "shadow": "md",
        "roundness": "3xl"
      },
      "favicon_url": "<string>",
      "meta_title": "<string>",
      "meta_description": "<string>",
      "og_image_url": "<string>",
      "view_count": 4503599627370495,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Query Parameters

page
integer
Required range: 1 <= x <= 9007199254740991
page_size
integer
Required range: 1 <= x <= 100
status
enum<string>
Available options:
draft,
active,
inactive,
archived

Response

Pages

object
string
required
Allowed value: "list"
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page_size
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
data
object[]
required